
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 账户
 */

import { request } from '../index'

// 火力值账户
const score = (data) =>{
	return request({
		url	: "user/account/score",
        data
	})
}

// 活力值变动
const log = data => {
	return request({
		url	: "user/account/score",
		data
	})
}

// 业绩账户
const cash = data => {
	return request({
		// 1.3.5^ 版本废弃 url: "perf/lists",
		url: "perf/new_lists",
		data
	})
}

// 奖金账户
const balance = data => {
	return request({
		url: "user/account/balance",
		data
	})
}

// 奖金提现前置
const withdrawsCreate = () => {
	return request({
		url: 'withdraws/index/create'
	})
}

// 奖金提现申请
const withdraws = data => {
	
	console.log(data)
	
	return request({
		url: 'withdraws/index',
		method: 'POST',
		data
	})
}

// 提现记录
const withdrawsLog = data => {
	return request({
		url: 'withdraws/index',
		data
	})
}

export {
	score,
	log,
	cash,
	balance,
	withdrawsCreate,
	withdraws,
	withdrawsLog
}

